﻿using static Vanara.PInvoke.User32;

namespace SinMaiLauncher.CustomControls
{
    public class CameraPictureBox : PictureBox
    {
        public event EventHandler? CameraClick;

        protected override void WndProc(ref Message m)
        {
            base.WndProc(ref m);
            if ((WindowMessage)m.Msg == WindowMessage.WM_LBUTTONDOWN)
            {
                CameraClick?.Invoke(this, EventArgs.Empty);
                //TODO: 验证触屏触发
            }
        }
    }
}